#
# spec file for package jakarta-commons-io (Version 1.3.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0

%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}
%define with_maven 0
%define section   free
%define base_name commons-io

Name:           jakarta-commons-io
Version:        1.3.2
Release:        83.2
Summary:        Commons IO Package
Group:          Development/Libraries/Java
License:        The Apache Software License
Url:            http://jakarta.apache.org/commons/io/
Source0:        commons-io-%{version}-src.tar.bz2
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        commons-parent-3.pom
Patch0:         %{name}-%{version}-target15.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 1.7.2
BuildRequires:  ant >= 1.6
BuildRequires:  ant-junit >= 1.6
BuildRequires:  junit >= 3.8.1
%if %{with_maven}
BuildRequires:  maven2 >= 2.0.4-10jpp
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
%endif
BuildRequires:  java-devel unzip
PreReq:         coreutils
PreReq:         jpackage-utils >= 1.7.2

%description
Commons-IO contains utility classes, stream implementations, file
filters, and endian classes.



Authors:
--------
    Scott Sanders 	        sanders@apache.org 	 
    dIon Gillard 	        dion@apache.org 	 
    Nicola Ken Barozzi 	nicolaken@apache.org 	 
    Henri Yandell 	        bayard@apache.org 	 
    Stephen Colebourne 	 	                 
    Jeremias Maerki 	jeremias@apache.org 	 
    Matthew Hawthorne 	matth@apache.org 	 
    Martin Cooper 	        martinc@apache.org 	 
    Rob Oxspring 	        roxspring@apache.org 	 
    Jochen Wiedmann 	jochen.wiedmann@gmail.com
    Niall Pemberton 	 	                 
    Jukka Zitting 	                                 

%package        javadoc
License:        The Apache Software License
Summary:        Commons IO Package
Group:          Development/Libraries/Java

%description    javadoc
Commons-IO contains utility classes, stream implementations, file
filters, and endian classes.



Authors:
--------
    Scott Sanders 	        sanders@apache.org 	 
    dIon Gillard 	        dion@apache.org 	 
    Nicola Ken Barozzi 	nicolaken@apache.org 	 
    Henri Yandell 	        bayard@apache.org 	 
    Stephen Colebourne 	 	                 
    Jeremias Maerki 	jeremias@apache.org 	 
    Matthew Hawthorne 	matth@apache.org 	 
    Martin Cooper 	        martinc@apache.org 	 
    Rob Oxspring 	        roxspring@apache.org 	 
    Jochen Wiedmann 	jochen.wiedmann@gmail.com
    Niall Pemberton 	 	                 
    Jukka Zitting 	                                 

%prep
%setup -q -n %{base_name}-%{version}-src
cp %{SOURCE1} settings.xml
mkdir -p .m2/repository/JPP/maven2/default_poms
cp %{SOURCE3} .m2/repository/JPP/maven2/default_poms/org.apache.commons-commons-parent.pom
# wrong end of line encoding
sed -i -e 's/.$//' *.txt
# target=1.5
%patch0 -b .target15

%build
%if %{with_maven}
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mkdir external_repo
ln -s %{_javadir} external_repo/JPP
mvn-jpp \
        -e \
        -s $(pwd)/settings.xml \
        -Dmaven2.jpp.mode=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc
%else
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist
%endif

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
%if %{with_maven}
install -pm 644 target/%{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%else
install -pm 644 build/%{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%endif
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
%add_to_maven_depmap %{base_name} %{base_name} %{version} JPP %{base_name}
# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.pom
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%if %{with_maven}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%else
unzip -q build/dist/%{base_name}-%{version}.zip %{base_name}-%{version}/docs/* -d $RPM_BUILD_ROOT%{_javadocdir}
mv $RPM_BUILD_ROOT%{_javadocdir}/%{base_name}-%{version}/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -r $RPM_BUILD_ROOT%{_javadocdir}/%{base_name}-%{version}
%endif
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/*.jar
%dir %{_datadir}/maven2
%dir %{_datadir}/maven2/poms
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Mon Aug 25 2008 mvyskocil@suse.cz
- target=1.5
- removed a build gcj support
- removed a javadoc %%post/postun
- fixed a wrong end of line encoding
* Thu Mar 13 2008 mvyskocil@suse.cz
- Initial package created with version 1.3.2 (JPackage 1.7)
